Index: code/trunk/src/modules/designtools/ScreenshotManager.cc
===================================================================
--- code/trunk/src/modules/designtools/ScreenshotManager.cc	(revision 7271)
+++ code/trunk/src/modules/designtools/ScreenshotManager.cc	(revision 7284)
@@ -9,8 +9,8 @@
 #include <OgreRoot.h>
 
+#include "util/ScopedSingletonManager.h"
 #include "core/GraphicsManager.h"
 #include "core/PathConfig.h"
-#include "core/ScopedSingletonManager.h"
-#include "core/ConsoleCommand.h"
+#include "core/command/ConsoleCommand.h"
 
 #include "CameraManager.h"
@@ -20,5 +20,5 @@
 {
     ManageScopedSingleton(ScreenshotManager, ScopeID::Graphics, false);
-    SetConsoleCommandAlias(ScreenshotManager, makeScreenshot_s, "printScreenHD", true);
+    SetConsoleCommand("printScreenHD", &ScreenshotManager::makeScreenshot_s);
 
     ScreenshotManager::ScreenshotManager()
Index: code/trunk/src/modules/designtools/SkyboxGenerator.cc
===================================================================
--- code/trunk/src/modules/designtools/SkyboxGenerator.cc	(revision 7271)
+++ code/trunk/src/modules/designtools/SkyboxGenerator.cc	(revision 7284)
@@ -34,13 +34,13 @@
 #include <OgreCamera.h>
 
-#include "core/ConsoleCommand.h"
+#include "util/ScopedSingletonManager.h"
 #include "core/CoreIncludes.h"
 #include "core/ConfigValueIncludes.h"
-#include "core/ScopedSingletonManager.h"
+#include "core/GraphicsManager.h"
+#include "core/command/ConsoleCommand.h"
+#include "core/command/CommandExecutor.h"
 #include "controllers/HumanController.h"
 #include "worldentities/CameraPosition.h"
 #include "worldentities/ControllableEntity.h"
-#include "core/GraphicsManager.h"
-#include "core/CommandExecutor.h"
 #include "graphics/Camera.h"
 
@@ -50,5 +50,5 @@
 {
 
-    SetConsoleCommand(SkyboxGenerator, createSkybox, true);
+    SetConsoleCommand("SkyboxGenerator", "createSkybox", &SkyboxGenerator::createSkybox).addShortcut();
 
     ManageScopedSingleton(SkyboxGenerator, ScopeID::Graphics, false);
@@ -79,5 +79,5 @@
             if(!this->captionsRemoved_)
             {
-                CommandExecutor::execute("setGametypeStatus false");
+                CommandExecutor::execute("GametypeStatus displayCaption false");
                 this->captionsRemoved_ = true;
                 return;
@@ -145,5 +145,5 @@
                 takeScreenshot_ = false;
                 CommandExecutor::execute("pause");
-                CommandExecutor::execute("setGametypeStatus true");
+                CommandExecutor::execute("GametypeStatus displayCaption true");
                 this->captionsRemoved_ = false;
             }
Index: code/trunk/src/modules/notifications/NotificationManager.cc
===================================================================
--- code/trunk/src/modules/notifications/NotificationManager.cc	(revision 7271)
+++ code/trunk/src/modules/notifications/NotificationManager.cc	(revision 7284)
@@ -36,6 +36,6 @@
 #include <set>
 
+#include "util/ScopedSingletonManager.h"
 #include "core/CoreIncludes.h"
-#include "core/ScopedSingletonManager.h"
 #include "Notification.h"
 #include "interfaces/NotificationListener.h"
Index: code/trunk/src/modules/objects/triggers/Trigger.cc
===================================================================
--- code/trunk/src/modules/objects/triggers/Trigger.cc	(revision 7271)
+++ code/trunk/src/modules/objects/triggers/Trigger.cc	(revision 7284)
@@ -30,7 +30,7 @@
 
 #include "core/CoreIncludes.h"
-#include "core/ConsoleCommand.h"
 #include "core/GameMode.h"
 #include "core/XMLPort.h"
+#include "core/command/ConsoleCommand.h"
 #include "Scene.h"
 
@@ -38,5 +38,5 @@
 {
 
-  SetConsoleCommand(Trigger, debugFlares, false).defaultValues(false);
+  SetConsoleCommand("Trigger", "debugFlares", &Trigger::debugFlares).defaultValues(false);
 
   CreateFactory(Trigger);
Index: code/trunk/src/modules/overlays/OverlaysPrecompiledHeaders.h
===================================================================
--- code/trunk/src/modules/overlays/OverlaysPrecompiledHeaders.h	(revision 7271)
+++ code/trunk/src/modules/overlays/OverlaysPrecompiledHeaders.h	(revision 7284)
@@ -58,5 +58,5 @@
 ///////////////////////////////////////////
 
-#include "core/Executor.h"     // 13
+#include "core/command/Executor.h"     // 13
 //#include "network/synchronisable/Synchronisable.h" // 13
 //#include "core/XMLPort.h"    // 9
Index: code/trunk/src/modules/overlays/hud/ChatOverlay.cc
===================================================================
--- code/trunk/src/modules/overlays/hud/ChatOverlay.cc	(revision 7271)
+++ code/trunk/src/modules/overlays/hud/ChatOverlay.cc	(revision 7284)
@@ -36,5 +36,5 @@
 #include "core/CoreIncludes.h"
 #include "core/ConfigValueIncludes.h"
-#include "core/Executor.h"
+#include "core/command/Executor.h"
 
 #include "tools/Timer.h"
@@ -91,5 +91,5 @@
         Timer* timer = new Timer();
         this->timers_.insert(timer); // store the timer in a set to destroy it in the destructor
-        Executor* executor = createExecutor(createFunctor(&ChatOverlay::dropMessage, this));
+        const ExecutorPtr& executor = createExecutor(createFunctor(&ChatOverlay::dropMessage, this));
         executor->setDefaultValues(timer);
         timer->setTimer(this->displayTime_, false, executor, true);
Index: code/trunk/src/modules/overlays/hud/GametypeStatus.cc
===================================================================
--- code/trunk/src/modules/overlays/hud/GametypeStatus.cc	(revision 7271)
+++ code/trunk/src/modules/overlays/hud/GametypeStatus.cc	(revision 7284)
@@ -30,6 +30,6 @@
 
 #include "util/Convert.h"
-#include "core/ConsoleCommand.h"
 #include "core/CoreIncludes.h"
+#include "core/command/ConsoleCommand.h"
 #include "infos/GametypeInfo.h"
 #include "infos/PlayerInfo.h"
@@ -41,6 +41,8 @@
     CreateFactory(GametypeStatus);
 
-    /*static*/ bool GametypeStatus::noCaption_s = false;
-    SetConsoleCommand(GametypeStatus, setGametypeStatus, true);
+    static const std::string __CC_GametypeStatus_name = "GametypeStatus";
+    static const std::string __CC_displayCaption_name = "displayCaption";
+
+    SetConsoleCommand(__CC_GametypeStatus_name, __CC_displayCaption_name, &GametypeStatus::setDisplayCaption);
 
     GametypeStatus::GametypeStatus(BaseObject* creator) : OverlayText(creator)
@@ -49,8 +51,12 @@
 
         this->owner_ = 0;
+        this->bNoCaption_ = false;
+
+        ModifyConsoleCommand(__CC_GametypeStatus_name, __CC_displayCaption_name).setObject(this);
     }
 
     GametypeStatus::~GametypeStatus()
     {
+        ModifyConsoleCommand(__CC_GametypeStatus_name, __CC_displayCaption_name).setObject(0);
     }
 
@@ -64,5 +70,5 @@
             ControllableEntity* ce = this->owner_->getControllableEntity();
 
-            if(GametypeStatus::noCaption_s) // No captions are displayed.
+            if (this->bNoCaption_) // No captions are displayed.
             {
                 this->setCaption("");
@@ -105,7 +111,7 @@
         If true captions are displayed, if false, not.
     */
-    /*static*/ void GametypeStatus::setGametypeStatus(bool bValue)
+    void GametypeStatus::setDisplayCaption(bool bValue)
     {
-        GametypeStatus::noCaption_s = !bValue;
+        this->bNoCaption_ = !bValue;
     }
 
Index: code/trunk/src/modules/overlays/hud/GametypeStatus.h
===================================================================
--- code/trunk/src/modules/overlays/hud/GametypeStatus.h	(revision 7271)
+++ code/trunk/src/modules/overlays/hud/GametypeStatus.h	(revision 7284)
@@ -46,9 +46,9 @@
             virtual void changedOwner();
 
-            static void setGametypeStatus(bool bValue); //!< Toggles whether the gametype status is displayed.
+            void setDisplayCaption(bool bValue); //!< Toggles whether the gametype status is displayed.
 
         private:
             PlayerInfo* owner_;
-            static bool noCaption_s;
+            bool bNoCaption_;
 
     };
Index: code/trunk/src/modules/pickup/PickupManager.cc
===================================================================
--- code/trunk/src/modules/pickup/PickupManager.cc	(revision 7271)
+++ code/trunk/src/modules/pickup/PickupManager.cc	(revision 7284)
@@ -34,10 +34,10 @@
 #include "PickupManager.h"
 
+#include "util/Convert.h"
+#include "util/ScopedSingletonManager.h"
 #include "core/CoreIncludes.h"
 #include "core/LuaState.h"
 #include "core/GUIManager.h"
-#include "core/ScopedSingletonManager.h"
 #include "core/Identifier.h"
-#include "util/Convert.h"
 #include "interfaces/PickupCarrier.h"
 #include "infos/PlayerInfo.h"
Index: code/trunk/src/modules/pong/Pong.cc
===================================================================
--- code/trunk/src/modules/pong/Pong.cc	(revision 7271)
+++ code/trunk/src/modules/pong/Pong.cc	(revision 7284)
@@ -31,5 +31,5 @@
 #include "core/CoreIncludes.h"
 #include "core/EventIncludes.h"
-#include "core/Executor.h"
+#include "core/command/Executor.h"
 #include "PongCenterpoint.h"
 #include "PongBall.h"
Index: code/trunk/src/modules/questsystem/QuestManager.cc
===================================================================
--- code/trunk/src/modules/questsystem/QuestManager.cc	(revision 7271)
+++ code/trunk/src/modules/questsystem/QuestManager.cc	(revision 7284)
@@ -37,9 +37,9 @@
 
 #include "util/Exception.h"
+#include "util/ScopedSingletonManager.h"
 #include "core/CoreIncludes.h"
 #include "core/GUIManager.h"
-#include "core/ConsoleCommand.h"
 #include "core/LuaState.h"
-#include "core/ScopedSingletonManager.h"
+#include "core/command/ConsoleCommand.h"
 #include "infos/PlayerInfo.h"
 #include "overlays/GUIOverlay.h"
Index: code/trunk/src/modules/questsystem/QuestsystemPrecompiledHeaders.h
===================================================================
--- code/trunk/src/modules/questsystem/QuestsystemPrecompiledHeaders.h	(revision 7271)
+++ code/trunk/src/modules/questsystem/QuestsystemPrecompiledHeaders.h	(revision 7284)
@@ -65,5 +65,5 @@
 ///////////////////////////////////////////
 
-#include "core/Executor.h"     // 15
+#include "core/command/Executor.h"     // 15
 //#include "core/XMLPort.h"    // 14
 
Index: code/trunk/src/modules/weapons/MuzzleFlash.cc
===================================================================
--- code/trunk/src/modules/weapons/MuzzleFlash.cc	(revision 7271)
+++ code/trunk/src/modules/weapons/MuzzleFlash.cc	(revision 7284)
@@ -31,5 +31,5 @@
 
 #include "core/CoreIncludes.h"
-#include "core/Executor.h"
+#include "core/command/Executor.h"
 
 namespace orxonox
Index: code/trunk/src/modules/weapons/projectiles/Projectile.cc
===================================================================
--- code/trunk/src/modules/weapons/projectiles/Projectile.cc	(revision 7271)
+++ code/trunk/src/modules/weapons/projectiles/Projectile.cc	(revision 7284)
@@ -31,6 +31,6 @@
 #include "core/CoreIncludes.h"
 #include "core/ConfigValueIncludes.h"
-#include "core/Executor.h"
 #include "core/GameMode.h"
+#include "core/command/Executor.h"
 #include "objects/collisionshapes/SphereCollisionShape.h"
 #include "worldentities/pawns/Pawn.h"
Index: code/trunk/src/modules/weapons/weaponmodes/EnergyDrink.cc
===================================================================
--- code/trunk/src/modules/weapons/weaponmodes/EnergyDrink.cc	(revision 7271)
+++ code/trunk/src/modules/weapons/weaponmodes/EnergyDrink.cc	(revision 7284)
@@ -30,6 +30,6 @@
 
 #include "core/CoreIncludes.h"
-#include "core/Executor.h"
 #include "core/XMLPort.h"
+#include "core/command/Executor.h"
 #include "graphics/Model.h"
 
Index: code/trunk/src/modules/weapons/weaponmodes/HsW01.cc
===================================================================
--- code/trunk/src/modules/weapons/weaponmodes/HsW01.cc	(revision 7271)
+++ code/trunk/src/modules/weapons/weaponmodes/HsW01.cc	(revision 7284)
@@ -30,6 +30,6 @@
 
 #include "core/CoreIncludes.h"
-#include "core/Executor.h"
 #include "core/XMLPort.h"
+#include "core/command/Executor.h"
 #include "graphics/Model.h"
 
